# Lists transaction batch settlements

GET {{baseURL}}/pay-api/v1/settlements/batches
This endpoint lists transaction batch settlements.

Endpoint: GET /pay-api/v1/settlements/batches
Version: V1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Query parameters:

  - `page` (integer)
    Specifies the page number of the returned search results.

A page is considered each set of the `pageSize` value.

The maximum page value is the `pageSize` divided by the `total` count rounded up.
The count is zero-based.
For example, if `pageSize` is 50 and the `total` is 130, there are three pages.
The maximum `page` value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

  - `pageSize` (integer)
    Specifies the number of items for each page of the returned search results.

A page is considered each set of the `pageSize` value.

The maximum page value is the `pageSize` divided by the `total` count rounded up.
The count is zero-based.
For example, if `pageSize` is 50 and the `total` is 130, there are three pages.
The maximum `page` value is 2.

Example: 50

  - `orderBy` (string)
    Specifies the field the results get ordered by.

The sort order is specified by the `asc` value.

Example: contactName

  - `asc` (boolean)
    Specifies the sort order.

The sort field is specified by the `orderBy` value.

If `true`, the sort order is ascending.<br>
If `false`, the sort order is descending.

Example: false

  - `dateFrom` (string)
    Specifies a filter to return items at or after this date-time (in an ISO 8601 date-time format).

If `dateFrom` only is specified, the search returns all available items from the `dateFrom` value to the present.
The fields `dateFrom` and `dateTo` may be used together to create an inclusive range.
We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example: 2025-01-27T12:05:54.322587Z

  - `dateTo` (string)
    Specifies returning items at or before this date-time (in an ISO 8601 date-time format).

If `dateTo` only is specified, the search returns all available items up to the `dateTo` value.
The fields `dateFrom` and `dateTo` may be used together to create an inclusive range.
We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example: 2026-01-27T12:05:54.322587Z

  - `batchIds` (array)
    <br>Specifies the payment identifiers included in the batch settlement.

Example: 345cd3e4-5f6a-4b7c-8d9e-0f1a2b3c4d70

  - `paymentProcessorIds` (array)
    <br>Specifies the payment processor identifiers handling the batch settlement.

Example: 123ab1c2-3d4e-4f5a-6b7c-8d9e0f1a2b58

  - `statusId` (integer)
    Specifies the settlement batch status.

Possible values:

| Status | Description |
|:-----: |-------------|
| 1      | Open        |
| 2      | Settled     |

Example: 1

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `items` (array)
    Settlement batches for the current page.

  - `items.id` (string)
    Indicates the settlement batch identifier.

Example: 6a2b8c1d-3e4f-4a5b-8c1d-2e3f4a5b6c17
    Example: 6a2b8c1d-3e4f-4a5b-8c1d-2e3f4a5b6c17

  - `items.paymentProcessorId` (string)
    Indicates the payment processor identifier.

Example: 2059fcc1-5507-42be-8e4c-f4fcce245027
    Example: 2059fcc1-5507-42be-8e4c-f4fcce245027

  - `items.paymentProcessorName` (string)
    Indicates the name of the payment processor.

Example: TSYS
    Example: TSYS

  - `items.externalBatchId` (string)
    Indicates the batch identifier assigned by the payment processor.

Example: 0004821193
    Example: 0004821193

  - `items.batchDateTime` (string)
    Specifies the batch date time (in an ISO 8601 date-time UTC format).

Examples: 2026-02-19T20:24:52.934Z
    Example: 2026-02-19T20:24:52.934Z

  - `items.transactionCount` (number)
    Indicates the number of transactions included in the settlement batch.

Example: 42
    Example: 42

  - `items.netAmount` (number)
    Indicates the net amount (in USD) of the settlement batch.
Example: 1249.75 (for $1249.75)
    Example: 1249.75

  - `items.refundsAmount` (number)
    Indicates the total refunds amount (in USD) included in the settlement batch.
Example: 50.00 (for $50.00)
    Example: 50

  - `items.salesAmount` (number)
    Indicates the total sales amount (in USD) included in the settlement batch.
Example: 1299.75 (for $1299.75)
    Example: 1299.75

  - `items.statusId` (integer)
    SettlementBatchStatus
Open = 1
Settled = 2

  - `items.statusName` (string)
    Indicates the settlement batch status name.
Possible values:
| Status | Description |
|  --- | --- |
| 1 | Open |
| 2 | Settled |

Example: Settled
    Example: Settled

  - `total` (integer)
    Indicates the total number of settlement batches found.

Example: 31
    Example: 31

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

  - `errors` (object)
    Indicates the collection of validation errors, keyed by field name.
Example:
{ "Email": ["'Email' is not a valid email address."] }

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.
    Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Collections.Generic.KeyNotFoundException
    Example: System.Collections.Generic.KeyNotFoundException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 500:

  - `500` (unknown)
    Internal Error

## Response 500 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: An unexpected error occurred while processing the request.
    Example: An unexpected error occurred while processing the request.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: (Service)

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Exception
    Example: System.Exception

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

